<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/Book/Scripts/5_mission/dayzexpansion_book/book/booktabs/territory/expansionbookmenutabterritoryinvites.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('dc/df2/a00656_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionbookmenutabterritoryinvites.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../dc/df2/a00656.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionBookMenuTabTerritoryInvites.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno">   13</span><span class="preprocessor">#ifdef EXPANSIONMODBASEBUILDING</span></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span><span class="keyword">class </span>ExpansionBookMenuTabTerritoryInvites: <a class="code hl_class" href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a></div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno">   15</span>{</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span>    ref ExpansionBookMenuTabTerritoryInvitesController m_InvitesController;</div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno">   17</span>    ref <a class="code hl_class" href="../../d5/d60/a03562.html">ExpansionTerritoryInvite</a> m_Invite;</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    ref <a class="code hl_class" href="../../d3/d6e/a03570.html">ExpansionTerritoryModule</a> m_TerritoryModule;</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>    </div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>    <span class="keyword">private</span> ButtonWidget option_accept_button;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>    <span class="keyword">private</span> TextWidget option_accept_label;</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    <span class="keyword">private</span> ButtonWidget option_decline_button;</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span>    <span class="keyword">private</span> TextWidget option_decline_label;</div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno">   24</span>    <span class="keyword">private</span> ButtonWidget option_cancel_button;</div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    <span class="keyword">private</span> TextWidget option_cancel_label;</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>    <span class="keyword">private</span> Widget invite_info_content_left;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>    </div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    <span class="keywordtype">void</span> ExpansionBookMenuTabTerritoryInvites(<a class="code hl_class" href="../../d1/def/a04198.html">ExpansionBookMenu</a> book_menu)</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span>    {</div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno">   30</span>        m_BookMenu = book_menu;</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>        </div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        <span class="keywordflow">if</span> (!m_InvitesController)</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>            m_InvitesController = ExpansionBookMenuTabTerritoryInvitesController.Cast(GetController());</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>        </div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span>        <span class="keywordflow">if</span> (!m_TerritoryModule)</div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span>            m_TerritoryModule = <a class="code hl_class" href="../../d3/d6e/a03570.html">ExpansionTerritoryModule</a>.Cast(CF_ModuleCoreManager.Get(<a class="code hl_class" href="../../d3/d6e/a03570.html">ExpansionTerritoryModule</a>));</div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span>    }</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>    </div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../d2/d94/a00716.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a>() </div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>    {</div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;DayZExpansion/Book/GUI/layouts/tabs/territory/expansion_book_tab_territory_invites.layout&quot;</span>;</div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span>    }</div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span>    </div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>    <span class="keyword">override</span> <span class="keyword">typename</span> <a class="code hl_function" href="../../d2/d94/a00716.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a>() </div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>    {</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>        <span class="keywordflow">return</span> ExpansionBookMenuTabTerritoryInvitesController;</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>    }</div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span>    </div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../df/d23/a04210.html#a81cfab6b14cd88ad42bb4c451103c170">GetTabIconName</a>()</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>    {</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;Territory&quot;</span>;</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>    }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>    </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>    <span class="keyword">override</span> <span class="keywordtype">string</span> <a class="code hl_function" href="../../df/d23/a04210.html#a908971c1cd83a1a488bc3cb37f08efa6">GetTabName</a>()</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>    {</div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span>        <span class="keywordflow">return</span> <span class="stringliteral">&quot;#STR_EXPANSION_BOOK_TAB_TERRITORY_INVITES&quot;</span>;</div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span>    }</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>    </div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span>    <span class="keyword">override</span> <span class="keywordtype">int</span> <a class="code hl_function" href="../../df/d23/a04210.html#a6b72818acb9c73e18bb1872031e197b5">GetTabColor</a>()</div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>    {</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>        <span class="keywordflow">return</span> ARGB(255,0,0,0);</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    }</div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno">   63</span>    </div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../df/d23/a04210.html#a1870bcdbcdefa04aed4ca7350941f05d">IsParentTab</a>()</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>    {</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>    }</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>    </div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../dd/d86/a01367.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a>()</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>    {   </div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>        LoadInvites();</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>                </div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>        option_accept_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>        option_decline_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>        invite_info_content_left.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>    }</div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span>    </div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span>    <span class="keywordtype">void</span> LoadInvites()</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>    {   </div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span>        <span class="keywordflow">if</span> (!m_InvitesController)</div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span>        </div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>        <span class="keywordflow">if</span> (m_InvitesController.TerritoryInviteEntrys.Count() &gt; 0)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            m_InvitesController.TerritoryInviteEntrys.Clear();</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>        </div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>        <span class="keywordflow">if</span> (m_TerritoryModule.GetTerritoryInvites().Count() &gt; 0)</div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span>        {</div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span>            <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_TerritoryModule.GetTerritoryInvites().<a class="code hl_enumvalue" href="../../d3/de5/a00956.html#a91fff2923c73524aa9ddd1aa0e5c0337a928f33270be19855038d0245a0fa06a1">Count</a>(); ++i)</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            {</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span>                <a class="code hl_class" href="../../d5/d60/a03562.html">ExpansionTerritoryInvite</a> invite = m_TerritoryModule.GetTerritoryInvites()[i];</div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>                <span class="keywordflow">if</span> (invite)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>                {</div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span>                    ExpansionBookMenuTabTerritoryInviteEntry <a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a> = <span class="keyword">new</span> ExpansionBookMenuTabTerritoryInviteEntry(<span class="keyword">this</span> ,invite);</div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span>                    <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a>)</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                    {</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                        m_InvitesController.TerritoryInviteEntrys.Insert(<a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a>);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>                    }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>                }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>            }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span>        }</div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno">  101</span>    }</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    </div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>    <span class="keywordtype">void</span> SetSelectedInvite(<a class="code hl_class" href="../../d5/d60/a03562.html">ExpansionTerritoryInvite</a> invite)</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>    {</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>        m_Invite = invite;</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno">  107</span>        option_accept_button.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>        option_decline_button.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        </div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>        invite_info_content_left.Show(<span class="keyword">true</span>);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>        </div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>        m_InvitesController.<a class="code hl_variable" href="../../d5/d60/a03562.html#a014cda00113cf661ee85d73c7519f164">TerritoryName</a> = m_Invite.TerritoryName;</div>
<div class="line"><a id="l00113" name="l00113"></a><span class="lineno">  113</span>        m_InvitesController.NotifyPropertyChanged(<span class="stringliteral">&quot;TerritoryName&quot;</span>);</div>
<div class="line"><a id="l00114" name="l00114"></a><span class="lineno">  114</span>        m_InvitesController.TerritoryID = m_Invite.TerritoryID.ToString();</div>
<div class="line"><a id="l00115" name="l00115"></a><span class="lineno">  115</span>        m_InvitesController.NotifyPropertyChanged(<span class="stringliteral">&quot;TerritoryID&quot;</span>);</div>
<div class="line"><a id="l00116" name="l00116"></a><span class="lineno">  116</span>    }</div>
<div class="line"><a id="l00117" name="l00117"></a><span class="lineno">  117</span>    </div>
<div class="line"><a id="l00118" name="l00118"></a><span class="lineno">  118</span>    <span class="keywordtype">void</span> OnAcceptButtonClick()</div>
<div class="line"><a id="l00119" name="l00119"></a><span class="lineno">  119</span>    {</div>
<div class="line"><a id="l00120" name="l00120"></a><span class="lineno">  120</span>        <span class="keywordflow">if</span> (!m_Invite)</div>
<div class="line"><a id="l00121" name="l00121"></a><span class="lineno">  121</span>        {</div>
<div class="line"><a id="l00122" name="l00122"></a><span class="lineno">  122</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00123" name="l00123"></a><span class="lineno">  123</span>        }</div>
<div class="line"><a id="l00124" name="l00124"></a><span class="lineno">  124</span>        </div>
<div class="line"><a id="l00125" name="l00125"></a><span class="lineno">  125</span>        <span class="keywordflow">if</span> (!m_TerritoryModule)</div>
<div class="line"><a id="l00126" name="l00126"></a><span class="lineno">  126</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00127" name="l00127"></a><span class="lineno">  127</span>        </div>
<div class="line"><a id="l00128" name="l00128"></a><span class="lineno">  128</span>        m_TerritoryModule.AcceptInvite(m_Invite.TerritoryID);</div>
<div class="line"><a id="l00129" name="l00129"></a><span class="lineno">  129</span>        </div>
<div class="line"><a id="l00130" name="l00130"></a><span class="lineno">  130</span>        option_accept_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00131" name="l00131"></a><span class="lineno">  131</span>        option_decline_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00132" name="l00132"></a><span class="lineno">  132</span>        invite_info_content_left.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00133" name="l00133"></a><span class="lineno">  133</span>        m_Invite = null;</div>
<div class="line"><a id="l00134" name="l00134"></a><span class="lineno">  134</span>        </div>
<div class="line"><a id="l00135" name="l00135"></a><span class="lineno">  135</span>        <a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00136" name="l00136"></a><span class="lineno">  136</span>    }</div>
<div class="line"><a id="l00137" name="l00137"></a><span class="lineno">  137</span>    </div>
<div class="line"><a id="l00138" name="l00138"></a><span class="lineno">  138</span>    <span class="keywordtype">void</span> OnDeclineButtonClick()</div>
<div class="line"><a id="l00139" name="l00139"></a><span class="lineno">  139</span>    {</div>
<div class="line"><a id="l00140" name="l00140"></a><span class="lineno">  140</span>        <span class="keywordflow">if</span> (!m_Invite)</div>
<div class="line"><a id="l00141" name="l00141"></a><span class="lineno">  141</span>        {</div>
<div class="line"><a id="l00142" name="l00142"></a><span class="lineno">  142</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00143" name="l00143"></a><span class="lineno">  143</span>        }</div>
<div class="line"><a id="l00144" name="l00144"></a><span class="lineno">  144</span>        </div>
<div class="line"><a id="l00145" name="l00145"></a><span class="lineno">  145</span>        <span class="keywordflow">if</span> (!m_TerritoryModule)</div>
<div class="line"><a id="l00146" name="l00146"></a><span class="lineno">  146</span>            <span class="keywordflow">return</span>;</div>
<div class="line"><a id="l00147" name="l00147"></a><span class="lineno">  147</span>        </div>
<div class="line"><a id="l00148" name="l00148"></a><span class="lineno">  148</span>        </div>
<div class="line"><a id="l00149" name="l00149"></a><span class="lineno">  149</span>        m_TerritoryModule.DeclineInvite(m_Invite.TerritoryID);</div>
<div class="line"><a id="l00150" name="l00150"></a><span class="lineno">  150</span>        </div>
<div class="line"><a id="l00151" name="l00151"></a><span class="lineno">  151</span>        <span class="keywordflow">for</span> (<span class="keywordtype">int</span> i = 0; i &lt; m_InvitesController.TerritoryInviteEntrys.Count(); ++i)</div>
<div class="line"><a id="l00152" name="l00152"></a><span class="lineno">  152</span>        {</div>
<div class="line"><a id="l00153" name="l00153"></a><span class="lineno">  153</span>            ExpansionBookMenuTabTerritoryInviteEntry <a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a> = m_InvitesController.TerritoryInviteEntrys[i];</div>
<div class="line"><a id="l00154" name="l00154"></a><span class="lineno">  154</span>            <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a>)</div>
<div class="line"><a id="l00155" name="l00155"></a><span class="lineno">  155</span>            {</div>
<div class="line"><a id="l00156" name="l00156"></a><span class="lineno">  156</span>                <span class="keywordflow">if</span> (<a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a>.GetInvite() == m_Invite)</div>
<div class="line"><a id="l00157" name="l00157"></a><span class="lineno">  157</span>                    <span class="keyword">delete</span> <a class="code hl_variable" href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a>;</div>
<div class="line"><a id="l00158" name="l00158"></a><span class="lineno">  158</span>            }</div>
<div class="line"><a id="l00159" name="l00159"></a><span class="lineno">  159</span>        }</div>
<div class="line"><a id="l00160" name="l00160"></a><span class="lineno">  160</span>        </div>
<div class="line"><a id="l00161" name="l00161"></a><span class="lineno">  161</span>        option_accept_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00162" name="l00162"></a><span class="lineno">  162</span>        option_decline_button.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00163" name="l00163"></a><span class="lineno">  163</span>        invite_info_content_left.Show(<span class="keyword">false</span>);</div>
<div class="line"><a id="l00164" name="l00164"></a><span class="lineno">  164</span>        m_Invite = null;</div>
<div class="line"><a id="l00165" name="l00165"></a><span class="lineno">  165</span>        </div>
<div class="line"><a id="l00166" name="l00166"></a><span class="lineno">  166</span>        <a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00167" name="l00167"></a><span class="lineno">  167</span>    }</div>
<div class="line"><a id="l00168" name="l00168"></a><span class="lineno">  168</span>    </div>
<div class="line"><a id="l00169" name="l00169"></a><span class="lineno">  169</span>    <span class="keywordtype">void</span> OnCancelButtonClick()</div>
<div class="line"><a id="l00170" name="l00170"></a><span class="lineno">  170</span>    {</div>
<div class="line"><a id="l00171" name="l00171"></a><span class="lineno">  171</span>        <a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00172" name="l00172"></a><span class="lineno">  172</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../df/d23/a04210.html#abd3112e6a8e598f2764204f44667f4c0">GetParentTab</a>())</div>
<div class="line"><a id="l00173" name="l00173"></a><span class="lineno">  173</span>            <a class="code hl_function" href="../../df/d23/a04210.html#abd3112e6a8e598f2764204f44667f4c0">GetParentTab</a>().<a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00174" name="l00174"></a><span class="lineno">  174</span>    }</div>
<div class="line"><a id="l00175" name="l00175"></a><span class="lineno">  175</span>        </div>
<div class="line"><a id="l00176" name="l00176"></a><span class="lineno">  176</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d23/a04210.html#a14a3da1dab03191398d0ad5830974f7c">OnShow</a>()</div>
<div class="line"><a id="l00177" name="l00177"></a><span class="lineno">  177</span>    {</div>
<div class="line"><a id="l00178" name="l00178"></a><span class="lineno">  178</span>        super.OnShow();</div>
<div class="line"><a id="l00179" name="l00179"></a><span class="lineno">  179</span>        </div>
<div class="line"><a id="l00180" name="l00180"></a><span class="lineno">  180</span>        <a class="code hl_function" href="../../dd/d86/a01367.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a>();</div>
<div class="line"><a id="l00181" name="l00181"></a><span class="lineno">  181</span>    }</div>
<div class="line"><a id="l00182" name="l00182"></a><span class="lineno">  182</span>    </div>
<div class="line"><a id="l00183" name="l00183"></a><span class="lineno">  183</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d29/a01895.html#acd2b0c0714d497b259c4276ac92d2d79">OnMouseEnter</a>(Widget w, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00184" name="l00184"></a><span class="lineno">  184</span>    {</div>
<div class="line"><a id="l00185" name="l00185"></a><span class="lineno">  185</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00186" name="l00186"></a><span class="lineno">  186</span>        {</div>
<div class="line"><a id="l00187" name="l00187"></a><span class="lineno">  187</span>        <span class="keywordflow">case</span> option_accept_button:</div>
<div class="line"><a id="l00188" name="l00188"></a><span class="lineno">  188</span>            option_accept_label.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00189" name="l00189"></a><span class="lineno">  189</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00190" name="l00190"></a><span class="lineno">  190</span>        <span class="keywordflow">case</span> option_decline_button:</div>
<div class="line"><a id="l00191" name="l00191"></a><span class="lineno">  191</span>            option_decline_label.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00192" name="l00192"></a><span class="lineno">  192</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00193" name="l00193"></a><span class="lineno">  193</span>        <span class="keywordflow">case</span> option_cancel_button:</div>
<div class="line"><a id="l00194" name="l00194"></a><span class="lineno">  194</span>            option_cancel_label.SetColor(ARGB(255,220,220,220));</div>
<div class="line"><a id="l00195" name="l00195"></a><span class="lineno">  195</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00196" name="l00196"></a><span class="lineno">  196</span>        }</div>
<div class="line"><a id="l00197" name="l00197"></a><span class="lineno">  197</span>        </div>
<div class="line"><a id="l00198" name="l00198"></a><span class="lineno">  198</span>        <span class="keywordflow">return</span> super.OnMouseEnter(w, x, y);;</div>
<div class="line"><a id="l00199" name="l00199"></a><span class="lineno">  199</span>    }</div>
<div class="line"><a id="l00200" name="l00200"></a><span class="lineno">  200</span>    </div>
<div class="line"><a id="l00201" name="l00201"></a><span class="lineno">  201</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../db/d29/a01895.html#a472c39c87ea477147b2c9353631a9822">OnMouseLeave</a>(Widget w, Widget enterW, <span class="keywordtype">int</span> x, <span class="keywordtype">int</span> y)</div>
<div class="line"><a id="l00202" name="l00202"></a><span class="lineno">  202</span>    {</div>
<div class="line"><a id="l00203" name="l00203"></a><span class="lineno">  203</span>        <span class="keywordflow">switch</span> (w)</div>
<div class="line"><a id="l00204" name="l00204"></a><span class="lineno">  204</span>        {</div>
<div class="line"><a id="l00205" name="l00205"></a><span class="lineno">  205</span>        <span class="keywordflow">case</span> option_accept_button:</div>
<div class="line"><a id="l00206" name="l00206"></a><span class="lineno">  206</span>            option_accept_label.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00207" name="l00207"></a><span class="lineno">  207</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00208" name="l00208"></a><span class="lineno">  208</span>        <span class="keywordflow">case</span> option_decline_button:</div>
<div class="line"><a id="l00209" name="l00209"></a><span class="lineno">  209</span>            option_decline_label.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00210" name="l00210"></a><span class="lineno">  210</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00211" name="l00211"></a><span class="lineno">  211</span>        <span class="keywordflow">case</span> option_cancel_button:</div>
<div class="line"><a id="l00212" name="l00212"></a><span class="lineno">  212</span>            option_cancel_label.SetColor(ARGB(255,0,0,0));</div>
<div class="line"><a id="l00213" name="l00213"></a><span class="lineno">  213</span>            <span class="keywordflow">break</span>;</div>
<div class="line"><a id="l00214" name="l00214"></a><span class="lineno">  214</span>        }</div>
<div class="line"><a id="l00215" name="l00215"></a><span class="lineno">  215</span>        </div>
<div class="line"><a id="l00216" name="l00216"></a><span class="lineno">  216</span>        <span class="keywordflow">return</span> super.OnMouseLeave(w, enterW, x, y);</div>
<div class="line"><a id="l00217" name="l00217"></a><span class="lineno">  217</span>    }</div>
<div class="line"><a id="l00218" name="l00218"></a><span class="lineno">  218</span>    </div>
<div class="line"><a id="l00219" name="l00219"></a><span class="lineno">  219</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../df/d23/a04210.html#a6c06d693ad4d424939c5f459fc647096">OnBackButtonClick</a>()</div>
<div class="line"><a id="l00220" name="l00220"></a><span class="lineno">  220</span>    {</div>
<div class="line"><a id="l00221" name="l00221"></a><span class="lineno">  221</span>        super.OnBackButtonClick();</div>
<div class="line"><a id="l00222" name="l00222"></a><span class="lineno">  222</span>        </div>
<div class="line"><a id="l00223" name="l00223"></a><span class="lineno">  223</span>        <a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00224" name="l00224"></a><span class="lineno">  224</span>        <span class="keywordflow">if</span> (<a class="code hl_function" href="../../df/d23/a04210.html#abd3112e6a8e598f2764204f44667f4c0">GetParentTab</a>())</div>
<div class="line"><a id="l00225" name="l00225"></a><span class="lineno">  225</span>            <a class="code hl_function" href="../../df/d23/a04210.html#abd3112e6a8e598f2764204f44667f4c0">GetParentTab</a>().<a class="code hl_function" href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">Hide</a>();</div>
<div class="line"><a id="l00226" name="l00226"></a><span class="lineno">  226</span>    }</div>
<div class="line"><a id="l00227" name="l00227"></a><span class="lineno">  227</span>    </div>
<div class="line"><a id="l00228" name="l00228"></a><span class="lineno">  228</span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../da/d48/a04414.html#acd1beba399221cb964437dc1246ee063">CanShow</a>()</div>
<div class="line"><a id="l00229" name="l00229"></a><span class="lineno">  229</span>    {</div>
<div class="line"><a id="l00230" name="l00230"></a><span class="lineno">  230</span>        <span class="keywordflow">return</span> <a class="code hl_function" href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a>().<a class="code hl_function" href="../../d1/d07/a03482.html#aac7d4296b93122748801465c3f0c3819">GetBook</a>().<a class="code hl_variable" href="../../df/d58/a03998.html#aa5b1701ff28b1799ee6c338982f4eb2e">EnableTerritoryTab</a>;</div>
<div class="line"><a id="l00231" name="l00231"></a><span class="lineno">  231</span>    }</div>
<div class="line"><a id="l00232" name="l00232"></a><span class="lineno">  232</span> </div>
<div class="line"><a id="l00233" name="l00233"></a><span class="lineno">  233</span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../da/d48/a04414.html#a26481713ddc688966e02819b6b074658">Refresh</a>()</div>
<div class="line"><a id="l00234" name="l00234"></a><span class="lineno">  234</span>    {</div>
<div class="line"><a id="l00235" name="l00235"></a><span class="lineno">  235</span>        LoadInvites();</div>
<div class="line"><a id="l00236" name="l00236"></a><span class="lineno">  236</span>    }</div>
<div class="line"><a id="l00237" name="l00237"></a><span class="lineno">  237</span>};</div>
<div class="line"><a id="l00238" name="l00238"></a><span class="lineno">  238</span> </div>
<div class="line"><a id="l00239" name="l00239"></a><span class="lineno">  239</span><span class="keyword">class </span>ExpansionBookMenuTabTerritoryInvitesController: <a class="code hl_class" href="../../d7/d20/a04410.html">ExpansionViewController</a></div>
<div class="line"><a id="l00240" name="l00240"></a><span class="lineno">  240</span>{</div>
<div class="line"><a id="l00241" name="l00241"></a><span class="lineno">  241</span>    ref ObservableCollection&lt;ref ExpansionBookMenuTabTerritoryInviteEntry&gt; TerritoryInviteEntrys = <span class="keyword">new</span> ObservableCollection&lt;ref ExpansionBookMenuTabTerritoryInviteEntry&gt;(<span class="keyword">this</span>);</div>
<div class="line"><a id="l00242" name="l00242"></a><span class="lineno">  242</span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d76/a00134.html#a2e1f91bd2ddfabc955ba161135042287">TerritoryName</a>;</div>
<div class="line"><a id="l00243" name="l00243"></a><span class="lineno">  243</span>    <span class="keywordtype">string</span> <a class="code hl_variable" href="../../de/d76/a00134.html#a545d3100b524266474d902f283994fc7">TerritoryID</a>;</div>
<div class="line"><a id="l00244" name="l00244"></a><span class="lineno">  244</span>};</div>
<div class="line"><a id="l00245" name="l00245"></a><span class="lineno">  245</span><span class="preprocessor">#endif</span></div>
<div class="ttc" id="aa00134_html_a2e1f91bd2ddfabc955ba161135042287"><div class="ttname"><a href="../../de/d76/a00134.html#a2e1f91bd2ddfabc955ba161135042287">TerritoryName</a></div><div class="ttdeci">protected string TerritoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../de/d76/a00134_source.html#l00028">expansionterritory.c:28</a></div></div>
<div class="ttc" id="aa00134_html_a545d3100b524266474d902f283994fc7"><div class="ttname"><a href="../../de/d76/a00134.html#a545d3100b524266474d902f283994fc7">TerritoryID</a></div><div class="ttdeci">class ExpansionOldTerritory TerritoryID</div></div>
<div class="ttc" id="aa00716_html_aae475e0b4d95b152ef3e68af16944a01"><div class="ttname"><a href="../../d2/d94/a00716.html#aae475e0b4d95b152ef3e68af16944a01">GetControllerType</a></div><div class="ttdeci">override GetControllerType()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a00716_source.html#l00265">expansionchatline.c:265</a></div></div>
<div class="ttc" id="aa00716_html_af50c208477ace3db233bfb6243901f7c"><div class="ttname"><a href="../../d2/d94/a00716.html#af50c208477ace3db233bfb6243901f7c">GetLayoutFile</a></div><div class="ttdeci">override string GetLayoutFile()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d94/a00716_source.html#l00236">expansionchatline.c:236</a></div></div>
<div class="ttc" id="aa00956_html_a91fff2923c73524aa9ddd1aa0e5c0337a928f33270be19855038d0245a0fa06a1"><div class="ttname"><a href="../../d3/de5/a00956.html#a91fff2923c73524aa9ddd1aa0e5c0337a928f33270be19855038d0245a0fa06a1">Count</a></div><div class="ttdeci">@ Count</div><div class="ttdef"><b>Definition:</b> <a href="../../d3/de5/a00956_source.html#l00007">expansionzonetype.c:6</a></div></div>
<div class="ttc" id="aa01367_html_a163104245a2e3c95642c1e1df12dcfd6"><div class="ttname"><a href="../../dd/d86/a01367.html#a163104245a2e3c95642c1e1df12dcfd6">entry</a></div><div class="ttdeci">protected RichTextWidget entry</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d86/a01367_source.html#l00051">expansiondialogcontent_wrapspacer.c:51</a></div></div>
<div class="ttc" id="aa01367_html_aff9a284bb904b06f8ab09a622b5d7d6f"><div class="ttname"><a href="../../dd/d86/a01367.html#aff9a284bb904b06f8ab09a622b5d7d6f">SetView</a></div><div class="ttdeci">void SetView()</div><div class="ttdef"><b>Definition:</b> <a href="../../dd/d86/a01367_source.html#l00087">expansiondialogcontent_wrapspacer.c:87</a></div></div>
<div class="ttc" id="aa01895_html_a472c39c87ea477147b2c9353631a9822"><div class="ttname"><a href="../../db/d29/a01895.html#a472c39c87ea477147b2c9353631a9822">OnMouseLeave</a></div><div class="ttdeci">override bool OnMouseLeave(Widget w, Widget enterW, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d29/a01895_source.html#l00427">expansionmarketmenucategory.c:427</a></div></div>
<div class="ttc" id="aa01895_html_acd2b0c0714d497b259c4276ac92d2d79"><div class="ttname"><a href="../../db/d29/a01895.html#acd2b0c0714d497b259c4276ac92d2d79">OnMouseEnter</a></div><div class="ttdeci">override bool OnMouseEnter(Widget w, int x, int y)</div><div class="ttdef"><b>Definition:</b> <a href="../../db/d29/a01895_source.html#l00412">expansionmarketmenucategory.c:412</a></div></div>
<div class="ttc" id="aa03482_html_aac7d4296b93122748801465c3f0c3819"><div class="ttname"><a href="../../d1/d07/a03482.html#aac7d4296b93122748801465c3f0c3819">ExpansionSettings::GetBook</a></div><div class="ttdeci">ExpansionBookSettings GetBook(bool checkLoaded=true)</div><div class="ttdef"><b>Definition:</b> <a href="../../da/dc6/a08731_source.html#l00052">expansionsettings.c:52</a></div></div>
<div class="ttc" id="aa03562_html"><div class="ttname"><a href="../../d5/d60/a03562.html">ExpansionTerritoryInvite</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/a00137_source.html#l00013">expansionterritoryinvite.c:14</a></div></div>
<div class="ttc" id="aa03562_html_a014cda00113cf661ee85d73c7519f164"><div class="ttname"><a href="../../d5/d60/a03562.html#a014cda00113cf661ee85d73c7519f164">ExpansionTerritoryInvite::TerritoryName</a></div><div class="ttdeci">string TerritoryName</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/df5/a00137_source.html#l00016">expansionterritoryinvite.c:16</a></div></div>
<div class="ttc" id="aa03570_html"><div class="ttname"><a href="../../d3/d6e/a03570.html">ExpansionTerritoryModule</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d7/dce/a00143_source.html#l00014">expansionterritorymodule.c:15</a></div></div>
<div class="ttc" id="aa03998_html_aa5b1701ff28b1799ee6c338982f4eb2e"><div class="ttname"><a href="../../df/d58/a03998.html#aa5b1701ff28b1799ee6c338982f4eb2e">ExpansionBookSettingsBase::EnableTerritoryTab</a></div><div class="ttdeci">bool EnableTerritoryTab</div><div class="ttdef"><b>Definition:</b> <a href="../../d9/d87/a00551_source.html#l00022">expansionbooksettings.c:22</a></div></div>
<div class="ttc" id="aa04198_html"><div class="ttname"><a href="../../d1/def/a04198.html">ExpansionBookMenu</a></div><div class="ttdef"><b>Definition:</b> <a href="../../db/d77/a00683_source.html#l00013">expansionbookmenu.c:14</a></div></div>
<div class="ttc" id="aa04210_html"><div class="ttname"><a href="../../df/d23/a04210.html">ExpansionBookMenuTabBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00013">expansionbookmenutabbase.c:14</a></div></div>
<div class="ttc" id="aa04210_html_a14a3da1dab03191398d0ad5830974f7c"><div class="ttname"><a href="../../df/d23/a04210.html#a14a3da1dab03191398d0ad5830974f7c">ExpansionBookMenuTabBase::OnShow</a></div><div class="ttdeci">override void OnShow()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00072">expansionbookmenutabbase.c:72</a></div></div>
<div class="ttc" id="aa04210_html_a1870bcdbcdefa04aed4ca7350941f05d"><div class="ttname"><a href="../../df/d23/a04210.html#a1870bcdbcdefa04aed4ca7350941f05d">ExpansionBookMenuTabBase::IsParentTab</a></div><div class="ttdeci">bool IsParentTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00042">expansionbookmenutabbase.c:42</a></div></div>
<div class="ttc" id="aa04210_html_a6b72818acb9c73e18bb1872031e197b5"><div class="ttname"><a href="../../df/d23/a04210.html#a6b72818acb9c73e18bb1872031e197b5">ExpansionBookMenuTabBase::GetTabColor</a></div><div class="ttdeci">int GetTabColor()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00037">expansionbookmenutabbase.c:37</a></div></div>
<div class="ttc" id="aa04210_html_a6c06d693ad4d424939c5f459fc647096"><div class="ttname"><a href="../../df/d23/a04210.html#a6c06d693ad4d424939c5f459fc647096">ExpansionBookMenuTabBase::OnBackButtonClick</a></div><div class="ttdeci">void OnBackButtonClick()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00096">expansionbookmenutabbase.c:96</a></div></div>
<div class="ttc" id="aa04210_html_a81cfab6b14cd88ad42bb4c451103c170"><div class="ttname"><a href="../../df/d23/a04210.html#a81cfab6b14cd88ad42bb4c451103c170">ExpansionBookMenuTabBase::GetTabIconName</a></div><div class="ttdeci">string GetTabIconName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00027">expansionbookmenutabbase.c:27</a></div></div>
<div class="ttc" id="aa04210_html_a908971c1cd83a1a488bc3cb37f08efa6"><div class="ttname"><a href="../../df/d23/a04210.html#a908971c1cd83a1a488bc3cb37f08efa6">ExpansionBookMenuTabBase::GetTabName</a></div><div class="ttdeci">string GetTabName()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00032">expansionbookmenutabbase.c:32</a></div></div>
<div class="ttc" id="aa04210_html_abd3112e6a8e598f2764204f44667f4c0"><div class="ttname"><a href="../../df/d23/a04210.html#abd3112e6a8e598f2764204f44667f4c0">ExpansionBookMenuTabBase::GetParentTab</a></div><div class="ttdeci">ExpansionBookMenuTabBase GetParentTab()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d87/a00689_source.html#l00052">expansionbookmenutabbase.c:52</a></div></div>
<div class="ttc" id="aa04410_html"><div class="ttname"><a href="../../d7/d20/a04410.html">ExpansionViewController</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d5d/a09121_source.html#l00013">expansionscriptview.c:14</a></div></div>
<div class="ttc" id="aa04414_html_a26481713ddc688966e02819b6b074658"><div class="ttname"><a href="../../da/d48/a04414.html#a26481713ddc688966e02819b6b074658">ExpansionScriptViewBase::Refresh</a></div><div class="ttdeci">void Refresh()</div></div>
<div class="ttc" id="aa04414_html_acd1beba399221cb964437dc1246ee063"><div class="ttname"><a href="../../da/d48/a04414.html#acd1beba399221cb964437dc1246ee063">ExpansionScriptViewBase::CanShow</a></div><div class="ttdeci">bool CanShow()</div></div>
<div class="ttc" id="aa05206_html_afa9acd67cb0ab6d711d00b2862717201"><div class="ttname"><a href="../../d4/d56/a05206.html#afa9acd67cb0ab6d711d00b2862717201">ExpansionScriptView::Hide</a></div><div class="ttdeci">override void Hide()</div><div class="ttdef"><b>Definition:</b> <a href="../../d8/d42/a09124_source.html#l00034">expansionscriptview.c:34</a></div></div>
<div class="ttc" id="aa08737_html_a0a20d14d2f55a927a3b0eab0623f5cf9"><div class="ttname"><a href="../../d7/d1c/a08737.html#a0a20d14d2f55a927a3b0eab0623f5cf9">GetExpansionSettings</a></div><div class="ttdeci">static ExpansionSettings GetExpansionSettings()</div><div class="ttdef"><b>Definition:</b> <a href="../../d7/d1c/a08737_source.html#l00262">expansionsettings.c:262</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_962bfa1893272c9ca8d900ccfa6a09f5.html">Book</a></li><li class="navelem"><a class="el" href="../../dir_5f6b997996f72d4bae47b189b5fbd491.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_8d5b9013e1e30f115ed1c9aa343b42f9.html">5_mission</a></li><li class="navelem"><a class="el" href="../../dir_b9f01b84f4b1924a81a59a6ed9f6add1.html">dayzexpansion_book</a></li><li class="navelem"><a class="el" href="../../dir_9b9d04b47302adcbb3988d4c606fd4b1.html">book</a></li><li class="navelem"><a class="el" href="../../dir_c42bf3830d2b96dfe174506f42af663f.html">booktabs</a></li><li class="navelem"><a class="el" href="../../dir_baf7a81d396e22bea579e1def3fce221.html">territory</a></li><li class="navelem"><a class="el" href="../../dc/df2/a00656.html">expansionbookmenutabterritoryinvites.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
